org.firebirdsql.jdbc

## Class JaybirdTypeCodes

- java.lang.Object
- - org.firebirdsql.jdbc.JaybirdTypeCodes

    @Volatile(reason="Defined type codes may receive a different value when standardized in JDBC")
    public final class JaybirdTypeCodes
    extends java.lang.Object

Type codes specific for Jaybird.

Author:
  Mark Rotteveel

### Field Summary

Fields
`static int` `DECFLOAT`
`static int` `REF_CURSOR`
`static int` `TIME_WITH_TIMEZONE`
`static int` `TIMESTAMP_WITH_TIMEZONE`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DECFLOAT

    @Volatile(reason="To be standardized by future version of JDBC, type code may change")
    public static final int DECFLOAT

See Also:
  Constant Field Values

#### REF_CURSOR

    @Volatile(reason="Provided for JDBC 4.1 / Java 7 compatibility")
    public static final int REF_CURSOR

See Also:
  Constant Field Values

#### TIME_WITH_TIMEZONE

    @Volatile(reason="Provided for JDBC 4.1 / Java 7 compatibility")
    public static final int TIME_WITH_TIMEZONE

See Also:
  Constant Field Values

#### TIMESTAMP_WITH_TIMEZONE

    @Volatile(reason="Provided for JDBC 4.1 / Java 7 compatibility")
    public static final int TIMESTAMP_WITH_TIMEZONE

See Also:
  Constant Field Values